AOWP_PHPElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPElement
/parser/ast/PHPElement.class.php at line 19

# Class AOWP_PHPElement

    AOWP_PHPElement

public class AOWP_PHPElement

PHPElement PHPの文法要素のインターフェイス 文法規則: unticked_class_declaration_statement

Author:
  Ryoto Naruse /

Field Summary
final int | NO_ARRAY
private mixed | $_line
private mixed | $parent
private mixed | $propertyIndex
private mixed | $propertyName

Method Summary
void | __clone()
void | __toString()
void | getChildren()
void | getParent()
void | getParentContainer()
void | getParentPropertyIndex()
void | getParentPropertyName()
protected void | initialize(int _line) 行番号の初期化と、このASTインスタンスの子の要素に、自身を親として登録する。
void | kind()
void | line()
void | releaseInstance()
void | setParent(mixed parent)
void | setParentInfo(mixed parent, mixed propertyName, mixed propertyIndex)

## Field Detail

/parser/ast/PHPElement.class.php at line 27

### NO_ARRAY

`public final int NO_ARRAY = -1`

/parser/ast/PHPElement.class.php at line 23

### _line

`private mixed $_line`

/parser/ast/PHPElement.class.php at line 20

### parent

`private mixed $parent = null`

/parser/ast/PHPElement.class.php at line 22

### propertyIndex

`private mixed $propertyIndex = -1`

/parser/ast/PHPElement.class.php at line 21

### propertyName

`private mixed $propertyName = ''`

## Method Detail

/parser/ast/PHPElement.class.php at line 128

### __clone

`public void __clone()`

/parser/ast/PHPElement.class.php at line 64

### __toString

`public void __toString()`

/parser/ast/PHPElement.class.php at line 93

### getChildren

`public void getChildren()`

/parser/ast/PHPElement.class.php at line 70

### getParent

`public void getParent()`

/parser/ast/PHPElement.class.php at line 74

### getParentContainer

`public void getParentContainer()`

/parser/ast/PHPElement.class.php at line 90

### getParentPropertyIndex

`public void getParentPropertyIndex()`

/parser/ast/PHPElement.class.php at line 87

### getParentPropertyName

`public void getParentPropertyName()`

/parser/ast/PHPElement.class.php at line 34

### initialize

`protected void initialize(int _line)`

行番号の初期化と、このASTインスタンスの子の要素に、自身を親として登録する。

Parameters:
  _line - 行番号

/parser/ast/PHPElement.class.php at line 67

### kind

`public void kind()`

/parser/ast/PHPElement.class.php at line 61

### line

`public void line()`

/parser/ast/PHPElement.class.php at line 112

### releaseInstance

`public void releaseInstance()`

/parser/ast/PHPElement.class.php at line 58

### setParent

`public void setParent(mixed parent)`

/parser/ast/PHPElement.class.php at line 52

### setParentInfo

`public void setParentInfo(mixed parent, mixed propertyName, mixed propertyIndex)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr